function errorForm(idElementForm, textoAlerta){
    let elemento = idElementForm;
    let textoInterno = textoAlerta;
    let elementoId = document.getElementById(elemento);
    elementoId.classList.add('error');
    elementoId.classList.remove('validado');
    elementoId.classList.remove('sinvalidar');
    errorId = 'error-'+String(elemento);
    let tieneError = document.getElementById(errorId);
    if(!tieneError){
      const parrafo = document.createElement("p");
      const contParrafo = document.createTextNode(textoInterno);
      parrafo.appendChild(contParrafo);
      parrafo.classList.add('textoError');
      parrafo.id = 'error-'+String(elemento)
      //Depende de estructura de HTML
      elementoId.parentNode.appendChild(parrafo);
    }
  }
  //----- Función de remover error ------//
  function validadoForm(idElementForm){
    let elemento = idElementForm;
    let elementoId = document.getElementById(elemento);
    elementoId.classList.remove('error');
    elementoId.classList.add('validado');
    elementoId.classList.remove('sinvalidar');
    errorId = 'error-'+String(elemento);
    let tieneError = document.getElementById(errorId);
    if(tieneError){
      tieneError.remove();
    }
  }
  
  //----Listar Todos los elementos del formulario y validar uno por uno------//
  
  //---- Nombre ----//
  /*function validarNombre(idEl){
    const idElemento = idEl;
    let nombre = document.getElementById(idElemento).value;
    if( nombre == null || nombre.length == 0 || /^\s+$/.test(nombre) ) {
      errorForm(idElemento, 'Debes agregar un nombre de usuario');
      return false;
    } else {
      validadoForm(idElemento);
    }
  }*/
  //---- Matricula ----//
  function validarMatricula(idEl){
    const idElemento = idEl;
    let matricula = document.getElementById(idElemento).value;
    if( matricula == null || matricula.length == 0 || /^\s+$/.test(matricula) ) {
      errorForm(idElemento, 'Debes agregar la matricula');
      return false;
    } else {
      validadoForm(idElemento);
    }
  }
  //---- Telefono ----//
  function validarTelefono(idEl){
    const idElemento = idEl;
    let telefono = document.getElementById(idElemento).value;
    if( telefono == null || telefono.length == 0 || /^\s+$/.test(telefono) ) {
      errorForm(idElemento, 'Debes proporcionar un teléfono de contacto');
      return false;
    } else {
      validadoForm(idElemento);
    }
  }
  //---- Necesidad ----//
  function validarNecesidad(idEl){
    const idElemento = idEl;
    let necesidad = document.getElementById(idElemento).value;
    if( necesidad == null || necesidad.length == 0 || /^\s+$/.test(necesidad) ) {
      errorForm(idElemento, 'Debes agregar una descripcion');
      return false;
    } else {
      validadoForm(idElemento);
    }
  }
   //---- Terminos y condiciones ----//
  function validarTerminos(idEl){
    const idElemento = idEl;
    let terminos = document.getElementById(idElemento).value;
	
	if($('#terminos').is(':checked')){
		validadoForm(idElemento);
	}else{
		 errorForm(idElemento, 'Debes aceptar los terminos y condiciones');
      return false;
	}
	
    /*if( terminos == null || terminos== '' || terminos == false  || terminos == 0 || terminos != 'on' ) {
		
      errorForm(idElemento, 'Debes aceptar los terminos y condiciones');
      return false;
    } else {
      validadoForm(idElemento);
    }*/
  }
  //---- Contraseña ----//
  /*function validarPass(idEl){
    const idElemento = idEl;
    let pass = document.getElementById(idElemento).value;
    if( pass == null || pass.length == 0 || /^\s+$/.test(pass) ) {
      errorForm(idElemento, 'Ingresa tu contraseña');
      return false;
    } else {
      validadoForm(idElemento);
    }
  }*/
      
  //------  Función de validar todo el formulario  ---------//
  function validacion(e){
	  //debugger;
	/*if($("#matricula").val()!=""){
		$("#matricula").addClass('validado');
	}*/
    event.preventDefault(e);
    let formulario = document.getElementById('frm-cita');
    let camposForm = formulario.getElementsByTagName('input');
    let tieneError;
    let sinvalidar;
    for(i=0; i<camposForm.length; i++){
        if(camposForm[i].classList.contains('error')){
          tieneError = true;
        }
        if(camposForm[i].classList.contains('sinvalidar')){
          sinvalidar = true
        }
    }
	
    if( tieneError || sinvalidar ){
      //validarNombre('nombre');
      //validarPass('pass');
      validarMatricula('matricula');
      validarTelefono('telefono');
      validarNecesidad('necesidad');
      validarTerminos('terminos');
	  //alert(camposForm.length);
      //return false;
    } else {
		//alert();
      /* Enviar formulario y cargar un loader mientras se envia */
      //document.getElementById('frm-cita').submit();
	  //$('#modal-trigger-1').on('click', function(){
			modalLauncher('modal-1');
		//});
      /*const loader = '<div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>';
      setTimeout(function(){ 
        formulario.innerHTML = loader; 
      }, 50);*/
    }
  }
    //------  Función de validar todo el formulario  ---------//
  function validacion2(e){
	  //debugger;
	/*if($("#matricula").val()!=""){
		$("#matricula").addClass('validado');
	}*/
    event.preventDefault(e);
    let formulario = document.getElementById('frm-cita');
    let camposForm = formulario.getElementsByTagName('input');
    let tieneError;
    let sinvalidar;
    for(i=0; i<camposForm.length; i++){
        if(camposForm[i].classList.contains('error')){
          tieneError = true;
        }
        if(camposForm[i].classList.contains('sinvalidar')){
          sinvalidar = true
        }
    }
	
    if( tieneError || sinvalidar ){
      //validarNombre('nombre');
      //validarPass('pass');
      validarMatricula('matricula');
      validarTelefono('telefono');
      validarNecesidad('necesidad');
      validarTerminos('terminos');
	  //alert(camposForm.length);
      //return false;
    } else {
		//alert();
      /* Enviar formulario y cargar un loader mientras se envia */
      //document.getElementById('frm-cita').submit();
	  //$('#modal-trigger-1').on('click', function(){
			modalLauncher('modal-1');
		//});
      /*const loader = '<div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>';
      setTimeout(function(){ 
        formulario.innerHTML = loader; 
      }, 50);*/
    }
  }